<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::VertexPoseKeyFrame Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">Ogre::VertexPoseKeyFrame</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#55cb477a6fe4ccde13ad4abff837f718">_clone</a>(AnimationTrack *newParent) const </td><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">Ogre::VertexPoseKeyFrame</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#016e46835e32fb086d56de06c53c1e88">addPoseReference</a>(ushort poseIndex, Real influence)</td><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">Ogre::VertexPoseKeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#5ca079fc1fc8647a32d5c45c305e7720">ConstPoseRefIterator</a> typedef</td><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">Ogre::VertexPoseKeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#3c76e521f11ff60e916815b135249b17">getPoseReferenceIterator</a>(void)</td><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">Ogre::VertexPoseKeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#1f098a3ea71f5c640b5474504fe2c112">getPoseReferenceIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">Ogre::VertexPoseKeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#14924e4a6cae67564c886b169c0e5a22">getPoseReferences</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">Ogre::VertexPoseKeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1KeyFrame.html#bc6cab6ca252dffa5f7955fbf25707f8">getTime</a>(void) const </td><td><a class="el" href="classOgre_1_1KeyFrame.html">Ogre::KeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1KeyFrame.html#6d31b620621fdeed1a3fc9f752498ad7">KeyFrame</a>(const AnimationTrack *parent, Real time)</td><td><a class="el" href="classOgre_1_1KeyFrame.html">Ogre::KeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1KeyFrame.html#e9b9c257bf51af1be9bec3e8f50b4a41">mParentTrack</a></td><td><a class="el" href="classOgre_1_1KeyFrame.html">Ogre::KeyFrame</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#d17b809f17245333dc58f7d7a92ca521">mPoseRefs</a></td><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">Ogre::VertexPoseKeyFrame</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1KeyFrame.html#34af076d7fda5e0da5fd4be8368a28a5">mTime</a></td><td><a class="el" href="classOgre_1_1KeyFrame.html">Ogre::KeyFrame</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#1edac52d5414ad95786cc9180bb6d080">PoseRefIterator</a> typedef</td><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">Ogre::VertexPoseKeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#57a8692107d482012ded2c7d3db6ba4c">PoseRefList</a> typedef</td><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">Ogre::VertexPoseKeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#0135b4674ac0bdd4fd35da0e9c3026bf">removeAllPoseReferences</a>(void)</td><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">Ogre::VertexPoseKeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#f9d5ef046e486298493c4809dc242430">removePoseReference</a>(ushort poseIndex)</td><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">Ogre::VertexPoseKeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#4f4255346e3e0f7bc2f7a5316565f160">updatePoseReference</a>(ushort poseIndex, Real influence)</td><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">Ogre::VertexPoseKeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#8365a7cfe9bd7c805e8cbdc9fa1fa6e2">VertexPoseKeyFrame</a>(const AnimationTrack *parent, Real time)</td><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">Ogre::VertexPoseKeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1KeyFrame.html#2f8e964ccf18553eef80f93c26d0e7bc">~KeyFrame</a>()</td><td><a class="el" href="classOgre_1_1KeyFrame.html">Ogre::KeyFrame</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#431d110129e738fa4ff118568252f839">~VertexPoseKeyFrame</a>()</td><td><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">Ogre::VertexPoseKeyFrame</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:14 2008
</p>
</body>
</html>
